Developers
API referenceReferenceWorkflows

Workflow - Replace

Replace one workflow by ID (full body).

PUT
/v1/business/{business_slug}/workflows/{workflow_id}/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

workflow_id*integer

Identifier of the target workflow. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/business/string/workflows/0/" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "name": "string",  "react_flow_data": null,  "enabled": true,  "latest_saved_version_number": 0}